Index: src/UIElements/Qt4/InstanceBoard/QtObservedBond.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedBond.cpp	(revision b4bd0ec170830621ec3bcc64a4a1a99403399bd9)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedBond.cpp	(revision d48a1666332f282b0853f2214a842d9d2da6b67c)
@@ -128,5 +128,5 @@
           boost::ref(subjectKilledCount), _1);
 
-  const boost::function<void (const ObservedValue_Index_t)> bondSubjectKilled(
+  const boost::function<void ()> bondSubjectKilled(
       boost::bind(&QtObservedBond::countValuesSubjectKilled,
           boost::ref(*this),
@@ -134,5 +134,5 @@
           boost::bind(accessor,
               getObservable(_bond.get()))));
-  const boost::function<void (const ObservedValue_Index_t)> leftatomSubjectKilled(
+  const boost::function<void ()> leftatomSubjectKilled(
       boost::bind(&QtObservedBond::countValuesSubjectKilled,
           boost::ref(*this),
@@ -140,5 +140,5 @@
           boost::bind(accessor,
               getObservable(_bond->leftatom))));
-  const boost::function<void (const ObservedValue_Index_t)> rightatomSubjectKilled(
+  const boost::function<void ()> rightatomSubjectKilled(
       boost::bind(&QtObservedBond::countValuesSubjectKilled,
           boost::ref(*this),
@@ -146,5 +146,5 @@
           boost::bind(accessor,
               getObservable(_bond->rightatom))));
-  const boost::function<void (const ObservedValue_Index_t)> moleculeSubjectKilled(
+  const boost::function<void ()> moleculeSubjectKilled(
       boost::bind(&QtObservedBond::countValuesSubjectKilled,
           boost::ref(*this),
@@ -588,8 +588,8 @@
     const bondId_t _id,
     const bond::ptr _bondref,
-    const boost::function<void(const ObservedValue_Index_t)> &_bondsubjectKilled,
-    const boost::function<void(const ObservedValue_Index_t)> &_leftatomsubjectKilled,
-    const boost::function<void(const ObservedValue_Index_t)> &_rightatomsubjectKilled,
-    const boost::function<void(const ObservedValue_Index_t)> &_moleculesubjectKilled)
+    const boost::function<void()> &_bondsubjectKilled,
+    const boost::function<void()> &_leftatomsubjectKilled,
+    const boost::function<void()> &_rightatomsubjectKilled,
+    const boost::function<void()> &_moleculesubjectKilled)
 {
   // fill ObservedValues: index first
@@ -622,6 +622,5 @@
       BondDegreeUpdater(),
       BondDegreeChannels,
-      _bondsubjectKilled,
-      BondIndexGetter);
+      _bondsubjectKilled);
   _ObservedValues[leftAtomIndex] = new ObservedValue_wCallback<atomId_t, ObservedValue_Index_t>(
       _bondref->leftatom,
@@ -630,6 +629,5 @@
       leftAtomIndexUpdater(),
       Observable::channels_t(1, AtomObservable::IndexChanged),
-      _leftatomsubjectKilled,
-      BondIndexGetter);
+      _leftatomsubjectKilled);
   _ObservedValues[leftAtomElement] = new ObservedValue_wCallback<atomicNumber_t, ObservedValue_Index_t>(
       _bondref->leftatom,
@@ -638,6 +636,5 @@
       leftAtomElementUpdater(),
       Observable::channels_t(1, AtomObservable::ElementChanged),
-      _leftatomsubjectKilled,
-      BondIndexGetter);
+      _leftatomsubjectKilled);
   _ObservedValues[leftAtomPosition] = new ObservedValue_wCallback<Vector, ObservedValue_Index_t>(
       _bondref->leftatom,
@@ -646,6 +643,5 @@
       leftAtomPositionUpdater(),
       Observable::channels_t(1, AtomObservable::PositionChanged),
-      _leftatomsubjectKilled,
-      BondIndexGetter);
+      _leftatomsubjectKilled);
   _ObservedValues[rightAtomIndex] = new ObservedValue_wCallback<atomId_t, ObservedValue_Index_t>(
       _bondref->rightatom,
@@ -654,6 +650,5 @@
       rightAtomIndexUpdater(),
       Observable::channels_t(1, AtomObservable::IndexChanged),
-      _rightatomsubjectKilled,
-      BondIndexGetter);
+      _rightatomsubjectKilled);
   _ObservedValues[rightAtomElement] = new ObservedValue_wCallback<atomicNumber_t, ObservedValue_Index_t>(
       _bondref->rightatom,
@@ -662,6 +657,5 @@
       rightAtomElementUpdater(),
       Observable::channels_t(1, AtomObservable::ElementChanged),
-      _rightatomsubjectKilled,
-      BondIndexGetter);
+      _rightatomsubjectKilled);
   _ObservedValues[rightAtomPosition] = new ObservedValue_wCallback<Vector, ObservedValue_Index_t>(
       _bondref->rightatom,
@@ -670,6 +664,5 @@
       rightAtomPositionUpdater(),
       Observable::channels_t(1, AtomObservable::PositionChanged),
-      _rightatomsubjectKilled,
-      BondIndexGetter);
+      _rightatomsubjectKilled);
   _ObservedValues[moleculeIndex] = new ObservedValue_wCallback<moleculeId_t, ObservedValue_Index_t>(
       _bondref->leftatom->getMolecule(),
@@ -678,6 +671,5 @@
       MoleculeIndexUpdater(),
       Observable::channels_t(1, AtomObservable::PositionChanged),
-      _moleculesubjectKilled,
-      BondIndexGetter);
+      _moleculesubjectKilled);
 }
 
